Bug 1142348 - gdb is build without lzma support
gdb is build without lzma support
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Tom de Vries
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-22 11:43 UTC by Tom de Vries
Modified: 2019-07-24 16:48 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom de Vries 2019-07-22 11:43:20 UTC
Consequently, it cannot read .gnu_debugdata, which is xz-compressed.

Currently testing:
...
$ osc diff -r1:2
Index: gdb.changes
===================================================================
--- gdb.changes (revision 1)
+++ gdb.changes (revision 2)
@@ -1,4 +1,9 @@
 -------------------------------------------------------------------
+Mon Jul 22 11:30:43 UTC 2019 - Tom de Vries <tdevries@suse.de>
+
+- Add BuildRequires xz-devel and Requires liblzma5
+
+-------------------------------------------------------------------
 Wed Jul  3 11:38:05 UTC 2019 - Tom de Vries <tdevries@suse.de>
 
 - Add BuildRequires valgrind for make check
Index: gdb.spec
===================================================================
--- gdb.spec (revision 1)
+++ gdb.spec (revision 2)
@@ -270,6 +270,8 @@
 BuildRequires:  readline-devel
 BuildRequires:  rpm-devel
 BuildRequires:  zlib-devel
+Requires:       liblzma5
+BuildRequires:  xz-devel
 %if 0%{!?_without_python:1}
 %if 0%{suse_version} > 1000
 Requires:       %{python}-base
...
Comment 1 Tom de Vries 2019-07-22 13:20:59 UTC
(In reply to Tom de Vries from comment #0)
> +Requires:       liblzma5
> +BuildRequires:  xz-devel

Hmm, apparently the Requires is not necessary:
...
[ 4646s] RPMLINT report:
[ 4646s] ===============
[ 4658s] gdb.x86_64: W: explicit-lib-dependency liblzma5
[ 4658s] You must let rpm find the library dependencies by itself. Do not put unneeded
[ 4658s] explicit Requires: tags.
...
Comment 2 Michael Matz 2019-07-22 14:55:18 UTC
Yeah, don't ever put Requires against shared libs into .spec files.
(There are sometimes, very seldomly, cases where it's needed, either for
compatiblity reasons, or because auto-req-prov doesn't work or because there
are alternatives and you know that it only works with one.  The latter two 
would usually be a bug in the distro, though.  But that's why it's only a
warning, not an error.)
Comment 3 Tom de Vries 2019-07-23 13:22:11 UTC
https://build.opensuse.org/request/show/717896
Comment 4 Tom de Vries 2019-07-23 13:58:19 UTC
https://build.opensuse.org/request/show/717918
Comment 5 Tom de Vries 2019-07-24 16:48:48 UTC
Request accepted, marking resolved-fixed.